दस्तावेज़ पर जाएँ
API

थ्रेड में नोट जोड़ें

थ्रेड पर एक निजी नोट पिन करें।

POST/threads/{id}/notes

असली कॉल आपके वर्कस्पेस पर चलाता है।

POST /threads/{id}/notes

थ्रेड पर एक निजी नोट पिन करें।

उदाहरण

threads:write चाहिए। content अधिकतम 20,000 अक्षर है, color default, red, orange, yellow, green, blue, purple और pink में से एक है, और pinned नोट को सबसे ऊपर रखता है। नोट के साथ 201 लौटाता है।

curl
curl -X POST "$OE/threads/thr_7c1e4a90/notes" -H "$AUTH" -H "Content-Type: application/json" \  -d '{ "content": "Waiting on the signed contract before replying.", "color": "yellow", "pinned": true }'
प्रतिक्रिया
{  "object": "note",  "id": "b3d1f0c2-7a4e-4f7b-9c1d-2e8f6a5b4c3d",  "threadId": "thr_7c1e4a90",  "content": "Waiting on the signed contract before replying.",  "color": "yellow",  "pinned": true,  "order": 4,  "createdAt": "2026-09-30T09:12:44.000Z",  "updatedAt": "2026-09-30T09:12:44.000Z"}

नया नोट बाकी नोट के बाद आता है। एक ही अनुरोध दो बार भेजने से दो नोट जुड़ते हैं।

संदर्भ